#ifndef __COMPRESS_MOVIE_H_
#define __COMPRESS_MOVIE_H_

//#define DATA_START_ADDR 0x03A3
#define DATA_START_ADDR 0x0396
#define DATA_TOP        0x1EFF
#define MAX_FRAMES 0x3FFF		// You'll never get this many under the bit limit, but it's a hard upper limit
#define MAX_BITS (((DATA_TOP-DATA_START_ADDR)-1)*14)
#define MAX_MOVIE_VARS 29

#define MOVIE_NO_ERROR 0
#define MOVIE_GENERAL_ERROR 1
#define MOVIE_TOO_BIG_ERROR 2

#define HOTPANTS_W 10
#define HOTPANTS_H 14

#ifndef MIN
#define MIN(x,y) (((x) < (y)) ? (x) : (y))
#endif

int compressMovie(unsigned char frameBuff[][HOTPANTS_W][HOTPANTS_H], int frames);
int compressToHexFile(char* hexFileName, unsigned char frameBuff[][HOTPANTS_W][HOTPANTS_H], int frames);
int getFramesEncoded();
bool movieFits(unsigned char frameBuff[][HOTPANTS_W][HOTPANTS_H], int frames);
bool movieFits();
long getBitsUsed();

#endif
